Bug 736702 - default koji configuration
Summary: default koji configuration
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: koji
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 13:02 UTC by Florian La Roche
Modified: 2015-02-17 13:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 13:52:10 UTC


Attachments (Terms of Use)
koji config improvements (4.52 KB, patch)
2011-09-08 13:02 UTC, Florian La Roche
no flags Details | Diff

Description Florian La Roche 2011-09-08 13:02:09 UTC
Created attachment 522114 [details]
koji config improvements

Description of problem:

Setting up koji needs a bit of configuration work. Here a few suggestions
on how the default config could be improved, most items are really cosmetic:

- stick with "example.com", do not use "example.org" at the same time
- stick with "hub.example.com", do not mix in "www.example.com"
- change oldstyle pkgurl from "/packages" to "/kojifiles/packages"
- add apache config "Options SymLinksIfOwnerMatch" as the repos
  contain symlinks
- apache config for /mnt/koji should use:
    SetHandler None
    IndexOptions NameWidth=* +SuppressDescription +SuppressIcon
  as a more secure setup and also better readbale setup
- remove kerb config from kojira.conf, this is anyway in two differnt
  places now in this file, so could use further cleanup
- Fix KojiFilesURL from http://server.example.com/mnt/koji to
  http://hub.example.com/kojifiles
- Use the default dir /etc/pki/koji/ for the cert files as done in
  all wiki config scripts.

best regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Fedora Admin XMLRPC Client 2012-01-31 12:01:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2013-04-03 14:31:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 3 Fedora End Of Life 2015-01-09 16:46:29 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-02-17 13:52:10 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.